Bug 165564 - Review Request: perl-File-Find-Rule
Summary: Review Request: perl-File-Find-Rule
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: David Lawrence
URL: http://search.cpan.org/dist/File-Find...
Whiteboard:
Keywords:
Depends On: 165551 165563
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2005-08-10 14:32 UTC by Ralf Corsepius
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2005-08-17 07:35:17 UTC


Attachments (Terms of Use)

Description Ralf Corsepius 2005-08-10 14:32:28 UTC
Spec Name or Url: ftp://packman.iu-bremen.de/fedora/SRPMS/perl-File-Find-Rule.spec
SRPM Name or Url: ftp://packman.iu-bremen.de/fedora/SRPMS/perl-File-Find-Rule-0.28-2.src.rpm

Description:
File::Find::Rule is a friendlier interface to File::Find.  It allows
you to build rules which specify the desired files and directories

Comment 1 Paul Howarth 2005-08-16 16:15:37 UTC
Review:

- rpmlint clean
- naming of package and spec meets guidelines
- package meets guidelines
- license same as perl
- spec file written in English and is legible
- source matches upstream
- package builds ok in FC4 and in mock for devel (i386)
- no locales, libraries, subpackages, pkgconfigs etc. to worry about
- not relocatable
- no directory ownership issues
- no duplicate files
- permissions are fine
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime

Nitpick:

- BR: perl not needed
- Finding empty .bs files not needed for noarch package

These can be addressed post-CVS.

I'm happy with this, and will review the BR: perl(Text::Glob) shortly.

Approved.



Note You need to log in before you can comment on or make changes to this bug.